---
title: ':-moz-window-inactive'
slug: 'Web/CSS/:-moz-window-inactive'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>:-moz-window-inactive</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches any element while it's in an inactive window.</p>

<p><code>:-moz-window-inactive</code> works in content HTML documents, too.</p>

<div class="note"><strong>Note:</strong> Prior to the addition of this pseudo-class, giving different styles to background windows was achieved by setting an attribute (<code>active="true"</code>) on the top-level XUL chrome window. This attribute is no longer used.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-window-inactive</pre>

<h2 id="Examples">Examples</h2>

<p>This example alters the appearance of a box's background depending on whether its window is active or not.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div id="mybox"&gt;
  &lt;p&gt;This is a box!&lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">#mybox {
  background: linear-gradient(to bottom, yellow, cyan);
  width: 200px;
  height: 200px;
}

#mybox:-moz-window-inactive {
  background: cyan;
}</pre>

<h3 id="Result">Result</h3>

<p>The result of this code is shown below. You can view this as a {{LiveSampleLink('Examples', 'separate page')}} as well.</p>

<p>{{EmbedLiveSample('Examples', 220, 220)}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-moz-window-inactive")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla CSS extensions</a></li>
 <li>Related CSS selectors:
  <ul>
   <li><code><a href="/en-US/docs/Web/CSS/:active">:active</a></code></li>
  </ul>
 </li>
 <li>The {{domxref("DocumentOrShadowRoot.activeElement", "activeElement")}} property on <a href="/en-US/docs/Web/API/Document">documents</a> and <a href="/en-US/docs/Web/Web_Components/Using_shadow_DOM">shadow DOM</a> roots</li>
</ul>
